;MsgBox   STALKER' -      -   ?
; ( ,  ),  ( ),  ( ).

[Setup]
AppName=Gradient
AppVerName=Gradient
CreateAppDir=false

[Code]
var
 AppDir: string; ResultCode: Integer;

procedure ReadEntries();
begin
	RegQueryStringValue(HKEY_LOCAL_MACHINE, 'SOFTWARE\GFI\Ghost Recon', 'InstallPath', AppDir);
end;

function InitializeSetup(): Boolean;
var
 Exe: string;
begin
 Exe:='GhostRecon.exe';
 if (RegValueExists(HKEY_LOCAL_MACHINE, 'SOFTWARE\GFI\Ghost Recon', 'InstallPath')) then
 begin
  ReadEntries;
  case (MsgBox(' ' + ExpandConstant('{cm:ProductName}') + '     .  ?', mbConfirmation, MB_YESNOCANCEL or MB_DEFBUTTON3)) of
  IDYES:
   begin
    if (FileExists(AddBackslash(AppDir) + Exe)) then
    begin
     Exec(AddBackslash(AppDir) + Exe, '', ExtractFilePath(AddBackslash(AppDir) + Exe), SW_SHOW, ewNoWait, ResultCode);
    end else begin
     MsgBox('  ' + ExpandConstant('{cm:ProductName}') + ', ..     .', mbCriticalError, MB_OK or MB_DEFBUTTON1);
    end
    Result:=False;
   end
  IDNO:
   begin
    Result:=True;
   end
  IDCANCEL:
   begin
    Result:=False;
   end
  end
 end else begin
  Result:=True;
 end
end;
