;        ,
;     ,    .
;           ,
;      ,     .
;  ,      ?

[Setup]
AppName=My Program
AppVerName=My Program 1.5
DefaultDirName={pf}\My Program
DefaultGroupName=My Program

[Languages]
Name: russian; MessagesFile: compiler:Languages\Russian.isl

[CustomMessages]
russian.ComponentsName1= 
russian.ComponentsName2=
russian.ComponentsName2_1=
russian.ComponentsName2_2= 
russian.ComponentsInfoPanel1=
russian.ComponentsInfoPanel2=    ,    .
russian.ComponentsDescription1= 
russian.ComponentsDescription2=
russian.ComponentsDescription3= 
russian.ComponentsDescription4=  

[Components]
Name: main; Description: {cm:ComponentsName1}; Check: IsComponent1; Types: full custom; Flags: fixed
Name: help; Description: {cm:ComponentsName2}; Types: full custom
Name: help\documentation; Description: {cm:ComponentsName2_1}; Check: IsComponent2; Types: full custom
Name: help\manual; Description: {cm:ComponentsName2_2}; Check: IsComponent3; Types: full custom

[Files]
Source: compiler:descctrl.dll; Flags: dontcopy
;Source: {src}\main\proga.exe; DestDir: {app}; Components: main; Flags: ignoreversion external
;Source: {src}\main\documentation.txt; DestDir: {app}; Components: help\documentation; Flags: ignoreversion external
;Source: {src}\main\manual.txt; DestDir: {app}; Components: help\manual; Flags: ignoreversion external

[Code]
function enabledesc(ComponentsListHandle: HWND; DescLabelHandle: HWND; DescStrings: PChar): BOOL; external 'enabledesc@files:descctrl.dll stdcall';
function disabledesc(): BOOL; external 'disabledesc@files:descctrl.dll stdcall';

function IsComponent1:boolean;
var
  sz:Integer;
  s:string;
begin
  Result:=True;
begin
 If (FileSearch('proga.exe', ExpandConstant('{src}\main'))='') then
  Result:=False
end;
end;

function IsComponent2:boolean;
var
  sz:Integer;
  s:string;
begin
  Result:=True;
begin
 If (FileSearch('documentation.txt', ExpandConstant('{src}\main'))='') then
  Result:=False
end;
end;

function IsComponent3:boolean;
var
  sz:Integer;
  s:string;
begin
  Result:=True;
begin
 If (FileSearch('manual.txt', ExpandConstant('{src}\main'))='') then
  Result:=False
end;
end;

var
  Info: TNewStaticText;
  InfoCaption: TNewStaticText;
  InfoPanel: TPanel;

procedure DeinitializeSetup();
begin
  disabledesc();
end;

procedure InitializeWizard();
begin
  WizardForm.TypesCombo.Visible:=False;
  WizardForm.ComponentsList.Height := ScaleY(181) - WizardForm.TypesCombo.Top;
  WizardForm.ComponentsList.Top := WizardForm.TypesCombo.Top;
  WizardForm.ComponentsList.Width := ScaleX(417);

  InfoPanel := TPanel.Create(WizardForm);
  InfoPanel.Parent := WizardForm.SelectComponentsPage;
  InfoPanel.Caption := '';
  InfoPanel.Top := ScaleY(190);
  InfoPanel.Left := ScaleX(0);
  InfoPanel.Width := ScaleX(417);
  InfoPanel.Height := ScaleY(40);
  InfoPanel.BevelInner := bvRaised;
  InfoPanel.BevelOuter := bvLowered;
  InfoCaption := TNewStaticText.Create(WizardForm);
  InfoCaption.Parent := WizardForm.SelectComponentsPage;
  InfoCaption.Caption := ExpandConstant('{cm:ComponentsInfoPanel1}');
  InfoCaption.Left := ScaleX(7);
  InfoCaption.Top := InfoPanel.Top - ScaleY(6);
  InfoCaption.Font.Color := clActiveCaption;

  Info := TNewStaticText.Create(WizardForm);
  Info.Parent := InfoPanel;
  Info.AutoSize := False;
  Info.Left := ScaleX(6);
  Info.Width := ScaleX(403);
  Info.Top := ScaleY(12);
  Info.Height := ScaleY(24);
  Info.Caption := ExpandConstant('{cm:ComponentsInfoPanel2}');
  Info.WordWrap := true;

  enabledesc(WizardForm.ComponentsList.Handle,Info.Handle,
       ExpandConstant('{cm:ComponentsDescription1};')+
       ExpandConstant('{cm:ComponentsDescription2};')+
       ExpandConstant('{cm:ComponentsDescription3};')+
       ExpandConstant('{cm:ComponentsDescription4};')
       );
end;
