[Setup]
AppName=Inno Setup Scripting v5.0
AppVerName=Inno Setup Scripting v5.0
CreateAppDir=no
Uninstallable=no

[Code]
var
  Text: TLabel;
  RadioButton_1, RadioButton_2: TRadioButton;
  Uninstall: string;
  ResultCode: Integer;
  Page: TWizardPage;

function Page_NextButtonClick(Page: TWizardPage): Boolean;
var
hWnd: Integer;
begin
  Result := True;
    if RadioButton_1.Checked then
     begin
     if RegQueryStringValue(HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Inno Setup Scripting v5.0_is1','UninstallString', Uninstall) then
       UnInstall := RemoveQuotes(UnInstall);
      if not Exec(UnInstall, '', '', SW_SHOW, ewWaitUntilTerminated, ResultCode) then
        begin
        //MessageBox(hWnd, '   .'#13#13'' + SysErrorMessage(ResultCode) + '.' #13#13 ',   ,   .', 'Error', MB_OK or $10)
          MsgBox(' . ' #13#13 '' + SysErrorMessage(ResultCode) + '.' #13#13 ',   ,   .', mbError, MB_OK)
          Result:=False
        end
        if RegValueExists(HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Inno Setup Scripting v5.0_is1','UninstallString') = True then
    Result:=False
   end
  else if RadioButton_2.Checked then
  Result:=True
end;
