[Setup]
AppName=PrintLicV5
AppVerName=PrintLicV5
DefaultDirName={pf}\PrintLicV5
DisableStartupPrompt=true
Uninstallable=false
DisableDirPage=true
OutputBaseFilename=PrintLicV5
CreateAppDir=false
DisableProgramGroupPage=true
LicenseFile=ReadMe.rtf


[Files]
Source: ReadMe.rtf; Flags: dontcopy


[Code]
// Print license
procedure PrintButtonClick(Sender: TObject);
var WordpadLoc: String;
    RetCode: Integer;
begin

  if MsgBox( 'Do you want to print License to default printer ?', mbConfirmation, MB_YESNO ) = IDYES then
  begin

    // get WordPad location
    RegQueryStringValue( HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\WORDPAD.EXE',
      '', WordpadLoc);

    // on NT/2000 it's a REG_EXPAND_SZ, so expand constant ProgramFiles
    StringChange( WordpadLoc, '%ProgramFiles%', ExpandConstant('{pf}') );
    // remove " at begin and end pf string
    StringChange( WordpadLoc, '"', '');

    // extract License file
    try
       ExtractTemporaryFile('ReadMe.rtf');

       if not Exec( WordPadLoc, ' /p ' + ExpandConstant('{tmp}\ReadMe.rtf') ,
         ExpandConstant('{tmp}'), SW_HIDE, ewNoWait , RetCode ) then
       MsgBox('Problems printing License file !' + IntToStr(RetCode), mbError, mb_Ok) ;

  except
    RaiseException('Problem printing license '+#13#13 +
      '(Error ''' + GetExceptionMessage + ''' occurred)');
  end;

  end; // if user want to print the license

end;


procedure InitializeWizard();
var
     PrintButton: TButton;
begin
     PrintButton := TButton.Create(WizardForm.LicensePage);
     PrintButton.Caption := '&Print';
     PrintButton.Left := WizardForm.LicenseMemo.Left +
                         WizardForm.LicenseMemo.Width -
                         PrintButton.Width;
     PrintButton.Top := WizardForm.LicenseMemo.Top +
                        WizardForm.LicenseMemo.Height + 16;
     PrintButton.OnClick := @PrintButtonClick;
     PrintButton.Parent := WizardForm.LicenseAcceptedRadio.Parent;
end;
