;    ,       {app}   ()   (    )

[Setup]
AppName=CheckFile
AppVerName=CheckFile
DefaultDirName={pf}\CheckFile
OutputDir=.
DirExistsWarning=no

[Files]
Source: compiler:Examples\MyProg.exe; DestDir: {app}

[Tasks]
Name: askini; Description:   ; GroupDescription: Configuration:

[Code]
var
  Page: TInputFileWizardPage;

procedure InitializeWizard();
begin
	Page := CreateInputFilePage(wpSelectTasks, 'Select Key File Location', 'Where is Key located?', 'Select where Key is located, then click Next.');
	Page.Add('Select Key File', 'Key Files (*.reg)|*.reg|All Files|*.*', '.reg');
end;

function NextButtonClick(CurPage: Integer): Boolean;
begin
  Result:= True;
  if CurPage = Page.ID then
    begin
      if FileExists(Page.Values[0]) then
        begin
//          ForceDirectories('C:\123\');
          Result:= FileCopy(Page.Values[0], AddBackSlash(ExpandConstant('{app}')) + ExtractFileName(Page.Values[0]), False);
        end
          else Result:= False;
    end;
end;

function ShouldSkipPage(PageID: Integer): Boolean;
begin
 if (PageID = Page.ID) and Not IsTaskSelected('askini') then
   Result:= True;
end;
