[Setup]
AppName=WaitProgress
AppVerName=WaitProgress
CreateAppDir=false
OutputDir=.

[Files]
Source: Waiting.avi; DestDir: {tmp}; DestName: WaitProgress.avi; Flags: dontcopy

[Code]
type
	TagMonitorInfo = record cbSize: DWord; Monitor, Work: TRect; dwFlags: DWord; end;
var
	WaitForm: TForm; n, ResultCode: Integer; MonitorInfo: TagMonitorInfo;
const
	AviFrameWidth=272; AviFrameHeight=60; FormLeft=100; FormTop=100;

function GetMonitorInfo(hMonitor: Integer; var lpMonitorInfo: TagMonitorInfo): Boolean; external 'GetMonitorInfoA@user32';
function mciSendString(lpstrCommand, lpstrReturnString: PChar; uReturnLength, hWndCallback: Integer): Integer; external 'mciSendStringA@winmm stdcall delayload';

Procedure DeinitializeSetup;
Begin
	mciSendString('Close Background','',0,0)
End;

Procedure WaitFormClose(Sender: TObject; var Action: TCloseAction);
Begin
	DeinitializeSetup
End;

Procedure CurPageChanged(CurPageID: Integer);
Begin
	if CurPageID = wpWelcome then begin WaitForm.Hide; mciSendString('pause Background','',0,0) end;
	if CurPageID = wpInstalling then begin WaitForm.Show; mciSendString('resume Background','',0,0) Sleep(3600) end;
	if CurPageID = wpFinished then begin WaitForm.Hide; mciSendString('stop Background','',0,0) end;
End;

Function InitializeSetup: Boolean;
Begin
	ExtractTemporaryFile('WaitProgress.avi')
	MonitorInfo.cbSize:= SizeOf(MonitorInfo); GetMonitorInfo(1, MonitorInfo)
WaitForm:= TForm.Create(nil);
//	WaitForm.BorderStyle:= bsNone
	WaitForm.OnClose:= @WaitFormClose
	WaitForm.ClientWidth:= AviFrameWidth; WaitForm.ClientHeight:= AviFrameHeight
	WaitForm.Left:= trunc((MonitorInfo.Work.Right - WaitForm.Width)/100 * FormLeft)
	WaitForm.Top:= trunc((MonitorInfo.Work.Bottom - WaitForm.Height)/100 * FormTop)
	WaitForm.Caption:= 'Please wait...';
	WaitForm.Show
mciSendString('open '+ ExpandConstant('{tmp}\WaitProgress.avi') +' type AVIVideo alias Background parent '+ IntToStr(WaitForm.Handle) +' style child','',0,0)
	mciSendString('put Background window at 0 0 '+ IntToStr(WaitForm.ClientWidth) +' '+ IntToStr(WaitForm.ClientHeight),'',0,0)
	mciSendString('play Background repeat','',0,0)	{      }
//	for n:= 1 to 10 do begin	{    ,    }
//		Sleep(2000)
//		WaitForm.Caption:= 'Extracting file '+IntToStr(n);
//	end;
//		mciSendString('Close Background','',0,0)
//		WaitForm.Free;
    Result:= Exec('cmd', '/C ping -n 3 localhost', '', SW_HIDE, ewWaitUntilTerminated, ResultCode)
End;
