[Setup]
AppName=Enclave
AppVerName=Enclave
DefaultDirName={sd}\Games\Enclave
DefaultGroupName=Enclave
OutputDir=D:\ENC
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
VersionInfoDescription= Enclave
UninstallLogMode=overwrite

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Enclave\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Enclave"; Filename: "{app}\Enclave.exe"; WorkingDir: "{app}";
Name: "{group}\  "; Filename: "{app}\LanguageSelector\LanguageSel.exe"; WorkingDir: "{app}\LanguageSelector";
Name: "{group}\ Enclave"; Filename: "{uninstallexe}"; WorkingDir: "{app}";
Name: "{userdesktop}\Enclave"; Filename: "{app}\Enclave.exe"; Tasks: desktopicon; WorkingDir: "{app}";

[Registry]
Root: HKLM; Subkey: "Software\Starbreeze"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Starbreeze\Enclave"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Starbreeze\Enclave"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Starbreeze\Enclave"; ValueType: string; ValueName: "MainExe"; ValueData: "{app}\Enclave.exe"
Root: HKLM; Subkey: "Software\Starbreeze\Enclave"; ValueType: string; ValueName: "UninstallString"; ValueData: "{uninstallexe}"

