[Setup]
AppName=FarCry
AppVerName=Far Cry v1.4 -   
DefaultDirName={sd}\Games\FarCry
DefaultGroupName=FarCry
OutputDir=D:\FC
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Far Cry\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Far Cry"; Filename: "{app}\Bin32\FarCry.exe"; WorkingDir: "{app}\Bin32"
Name: "{group}\"; Filename: "{app}\Bin32\FarCryConfigurator.exe"; WorkingDir: "{app}\Bin32"
Name: "{group}\ Readme"; Filename: "{app}\Readme.txt"; WorkingDir: "{app}"
Name: "{group}\ "; Filename: "{app}\CD-KEY.txt"; WorkingDir: "{app}"
Name: "{group}\ Far Cry"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Far Cry"; Filename: "{app}\Bin32\FarCry.exe"; Tasks: desktopicon; WorkingDir: "{app}\Bin32"

[Registry]
;Buka
Root: HKLM; Subkey: "Software\FarCry"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\FarCry"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

;Crytek
Root: HKLM; Subkey: "Software\Crytek"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Crytek\FarCry"; ValueType: string; ValueName: ""; ValueData: ""; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Crytek\FarCry"; ValueType: dword; ValueName: "PatchVersion"; ValueData: "$10040"; Flags: uninsdeletekey

;    1.31
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Far Cry (Patch 1.3)"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.00.0000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$77a09"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "Publisher"; ValueData: "Ubisoft"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{21A127AE-2DAF-40B7-8374-34C3E629521C}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"

;    1.32
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Far Cry (Patch 1.31)"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.00.0000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$e35"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "Publisher"; ValueData: "Ubisoft"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{EE8592F6-FC2B-4AFD-B527-109D127C039F}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: ""

;    1.33
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Far Cry (Patch 1.32)"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.00.0000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$5a7d"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "Publisher"; ValueData: "Ubisoft"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{E47BA573-BBC4-40C1-8A7D-B25F2F2B0DAE}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"

;    1.4
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Far Cry (Patch 1.33)"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.00.0000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$510d"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "Publisher"; ValueData: "Ubisoft"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{3C662203-292F-4E9D-AE02-281071C06903}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"

;     1.4
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Far Cry (Patch 1.4)"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.00.0000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$30511"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "Publisher"; ValueData: "Ubisoft"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{5A8892A3-36BB-411E-85AA-6AEA544D028B}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"



