[Setup]
AppName="Prey"
AppVerName="Prey"  1.2.116
DefaultDirName={sd}\Games\Prey
DefaultGroupName=Prey
OutputDir=D:\Output
OutputBaseFilename=setup
Compression=zip
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"
                                         
[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Prey\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{userdesktop}\Prey"; Filename: "{app}\Prey.exe"; WorkingDir: "{app}"; Tasks: "desktopicon";
Name: "{group}\Prey"; Filename: "{app}\Prey.exe"; WorkingDir: "{app}";
Name: "{group}\ "; Filename: "{app}\Readme.txt"; WorkingDir: "{app}";
Name: "{group}\ "; Filename: "{app}\PREY PC MANUAL RUS.pdf"; WorkingDir: "{app}";
Name: "{group}\ 'Prey'"; Filename: "{uninstallexe}"; WorkingDir: "{app}";

[Registry]
Root: HKLM; Subkey: "Software\Human Head Studios"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Human Head Studios\Prey"; Flags: uninsdeletekey
Root: HKLM; SubKey: "SOFTWARE\Human Head Studios\Prey"; ValueType: "string"; ValueName: "InstallGroup"; ValueData: "{group}";
Root: HKLM; SubKey: "SOFTWARE\Human Head Studios\Prey"; ValueType: "string"; ValueName: "LauncherLang"; ValueData: "English";
Root: HKLM; SubKey: "SOFTWARE\Human Head Studios\Prey"; ValueType: "string"; ValueName: "InstallExe"; ValueData: "{app}\Prey.exe";
Root: HKLM; SubKey: "SOFTWARE\Human Head Studios\Prey"; ValueType: "string"; ValueName: "SavePath"; ValueData: "{userdocs}\My Games";
Root: HKLM; SubKey: "SOFTWARE\Human Head Studios\Prey"; ValueType: "string"; ValueName: "InstallPath"; ValueData: "{app}";

Root: HKLM; SubKey: SOFTWARE\Human Head; Flags: uninsdeletekeyifempty

[UninstallRun]
Filename: "{app}\KillSave.exe"; Parameters: "Kill"; WorkingDir: "{app}";

