[Setup]
AppName= 
AppVerName= 
DefaultDirName={sd}\Titbit
DefaultGroupName= 
OutputDir=D:\TITBIT
OutputBaseFilename=setup
Compression=zip
SolidCompression=no
AllowNoIcons=no
DiskSpanning=yes
DiskSliceSize=727000000
UninstallDisplayIcon={app}\titbit.exe
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Icons]
Name: "{group}\   "; Filename: "{app}\titbit.exe"; WorkingDir: "{app}"
Name: "{group}\"; Filename: "{app}\titbit.exe"; WorkingDir: "{app}"; Parameters: "/s"
Name: "{group}\ Readme"; Filename: "{app}\Readme.txt"; WorkingDir: "{app}"
Name: "{group}\  "; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\ "; Filename: "{app}\titbit.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Files]
Source: "C:\Games\ \*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Registry]
Root: HKCU; Subkey: "Software\VZlab"; Flags: uninsdeletekeyifempty
Root: HKCU; Subkey: "Software\VZlab\Titbit"; Flags: uninsdeletekey
Root: HKCU; Subkey: "Software\VZlab\Titbit"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

Root: HKLM; Subkey: "Software\Titbit"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Titbit"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Run]
Filename: "{src}\Redist\wmpcdcs8.exe"; WorkingDir: "{src}\Redist"; Parameters: "/q"; StatusMsg: " ..."; Flags: waituntilterminated

