[Setup]
AppName=My Program
AppVerName=My Program version 1.5
DefaultDirName={pf}\My Program

#include "LangLib.iss"

[Code]
type

TSystemTime = record wYear: Word; wMonth: Word; wDayOfWeek: Word; wDay: Word; wHour: Word; wMinute: Word; wSecond: Word; wMilliseconds: Word; end;

var
strFile: string;
strCreTime: string;
strModTime: string;
strAccessTime: string;
TTime: TSystemTime;
fs: TFileStream;
Size: LongWord;
Size2: LongWord;

//DWORD GetFileSize( HANDLE hFile, { } LPDWORD lpFileSizeHigh {});

// ,   -     DWORD,         .

function GetLocalTime(var lpBuffer: TSystemTime): Boolean; external 'GetLocalTime@kernel32.dll stdcall';

function GetFileTime(hfile: longint; var lpcreation,lpaccess,lpwrite:TFileTime): boolean;
external 'GetFileTime@kernel32.dll stdcall';

function FileTimeToSystemTime(var tftm: TFileTime; var systm: TSystemTime): boolean;
external 'FileTimeToSystemTime@kernel32.dll stdcall';

function FileTimeToLocalFileTime( utct: TFileTime; var loct: TFileTime): boolean;
external 'FileTimeToLocalFileTime@kernel32.dll stdcall';

function GetDateFormat(Locale: Integer;dwFlags: LongInt; var lpDate: TSystemTime; lpFormat: PChar; lpDateStr: String; cchDate: Integer): Integer;
external 'GetDateFormatA@kernel32.dll';

function GetTimeFormat(Locale: Integer;dwFlags: LongInt; var lpTime: TSystemTime;lpFormat: PChar;lpTimeStr: String; cchDate: Integer): Integer;
external 'GetTimeFormatA@kernel32.dll';

function GetFileSize(hfile: longint; p: LongWord): LongWord;
external 'GetFileSize@kernel32.dll stdcall';

function FormattedTime(t: TSystemTime) : String;
var
    s, fmt: String;
begin
        fmt := StringOfChar(' ',64);
        GetDateFormat( GetUserDefaultLCID , DATE_LONGDATE, t, '' , fmt ,63);
        fmt := CastIntegerToString(CastStringToInteger(fmt));
        s := fmt;
        fmt := StringOfChar(' ',64);
        GetTimeFormat(GetUserDefaultLCID , 0, t , '' , fmt ,63);
        fmt := CastIntegerToString(CastStringToInteger(fmt));
        s := s + ' ' + fmt;

Result := s;
end;

function GetFileSysTime(nomef: String ; var stime: String; idx : Integer): TSystemTime;
Var
    risul: TSystemTime;
    creat, access, write, local: TFileTime;
Begin
    fs := TFileStream.Create(nomef,fmOpenRead);
    GetFileTime(fs.handle,creat,access,write);
    GetLocalTime(TTime);

    fs.Free;
    Case idx of
     1: FileTimeToLocalFileTime(creat,local);
     2: FileTimeToLocalFileTime(access,local);
     3: FileTimeToLocalFileTime(write,local);
    end;
    FileTimeToSystemTime(local,risul);
    stime := FormattedTime(risul);
    Result := risul;
End;

function InitializeSetup(): Boolean;
var
    filename, s : String;
    t : TSystemTime;
//	buf;
begin
filename:= ExpandConstant('{srcexe}');
        strFile:= filename;
        t := GetFileSysTime(filename, s, 1 );
        strCreTime:= s;
        t := GetFileSysTime(filename, s, 2 );
		strAccessTime:= s;
		t := GetFileSysTime(filename, s, 3 );
		strModTime:= s;

Size:=GetFileSize(fs.handle, Size2);

MsgBox(strFile + #10#13 +
': ' + strCreTime + #10#13 +
': ' + strAccessTime + #10#13 +
': ' + strModTime + #10#13 +
'Size: ' +

FloatToStr(Size)

+ #13#10 + 'SystemTime: ' + inttostr(TTime.wMinute) + ' ' +inttostr(TTime.wSecond) + ' ' +inttostr(TTime.wMilliseconds), mbInformation, MB_OK);
Result:= false;
end;


