[Code]
function CopyFolder(const SourceFolderPath: String; DestinyFolderPath: String): Boolean;
var
    strSrc: String;
    strDst: String;
begin


    //get first file
    strSrc := SourceFolderPath + '\*.*';
    strSrc := FindFirst(strSrc);

    while not (strSrc = '') do
    begin

        if (strSrc <> '.') and (strSrc <> '..') then
        begin

            // get the destiny and source paths
            strDst := DestinyFolderPath + '' + strSrc;
            strSrc := strKfxTempPath + '' + strSrc;

            if not FileCopy(strSrc, strDst, false) then
            begin
                //erro on copy
                MsgBox('Erro on copy ' + strSrc + ' to ' + strDst, mbError, MB_OK);
                Result := false;
                exit;
            end;
        end;

        //get next file
        strSrc := FindNext;

    end;

    //return OK
    Result := true;
end;
