#define MyAppName "ISHint Demo"
#define MyAppVerName "ISHint 0.5.2.41 by South (htuos)"
#define MyAppPublisher "created by South (htuos)"

[Setup]
AppName={#MyAppName}
AppVerName={#MyAppVerName}
AppPublisher={#MyAppPublisher}
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName={#MyAppName}
OutputDir=.

[Files]
Source: ISHint.dll; DestDir: {tmp}; Flags: ignoreversion dontcopy

[Code]
const
  DefBackColor = $E3FFFF;
  DefTextColor = $000000;

var
  i:integer;
  r:TRect;

//      
//type
//  TBtnHints = record
//    IconType :integer;
//    Title    :PChar;
//    Text     :PChar;
//  end;

//var
//  BtnHint: array of TBtnHints;
//       (       )
//   ,   

function HintCreate(hControl:THandle; IconIndex:integer; Title,Text:PChar; IsBalloonStyle,WithCloseBtn:boolean):integer; external 'HintCreate@files:ISHint.dll stdcall';
//    
//hControl     -      
//                hControl=0,       - ,
//                  ()   ShowHint(HideHint)    
//IconIndex     -  
//               if (IconIndex>3) or (IconIndex<0) then IconIndex:=0
//               0 -  
//               1 - Information
//               2 - Warning
//               3 - Error
//Text         -  
//Title        -   (  ,     )
//BalloonStyle -   ( -    )
//WithCloseBtn -       (   hControl<>0     ,
//                                                    ..   ,      )
// 
//             0 -    ( .. (GetLastError    ),      )
//             1 -  
//             2 -   , ..  
//  -        

procedure HintShow(X,Y:integer; TimeShow:integer); external 'HintShow@files:ISHint.dll stdcall';
//   CreateHint  hControl=0
//X,Y      -       ( )
//TimeShow -   ,
//            TimeShow=0,       ,     HintHide(0)
//
//      hControl=0
//   HintShow (     ),     

procedure HintRefresh(hControl:THandle); external 'HintRefresh@files:ISHint.dll stdcall';
//    ,       

procedure HintSetRaram(hControl:THandle; BackColor,FrameColor:Longint; FontName:PChar; FontSize:integer); external 'HintSetRaram@files:ISHint.dll stdcall';
//      ,     
//BackColor  -   (  $E3FFFF),  BackColor<0,   
//FrameColor -   (  $000000),  FrameColor<0,   
//FontName   -  ,       (  Tahoma),
//              FontName='',   
//FontSize   -     (  13),  FontSize<=0,   
//
//FontName  FontSize    ,    
//(   ,          . )

procedure HintSetTextParam(hControl:THandle; Text:PChar; TextColor:Longint; Italic,Underline:boolean); external 'HintSetTextParam@files:ISHint.dll stdcall';
//   
//Text      -  ,  Text='',    
//TextColor -   ,  TextColor=-1,   
//Italic    -   
//Underline -   

procedure HintSetTitleParam(hControl:THandle; Title:PChar; TitleColor:Longint; Italic,Underline:boolean); external 'HintSetTitleParam@files:ISHint.dll stdcall';
//   
//Title     -  ,  Title='',     (..    ,    )
//TextColor -   ,  TextColor=-1,   
//Italic    -   
//Underline -   

//procedure HintDeleteIcon(hControl:THandle); external 'HintDeleteIcon@files:ISHint.dll stdcall';
//   

procedure HintSetIcon(hControl:THandle;const IconFileName:PChar; IconIndex:integer); external 'HintSetIcon@files:ISHint.dll stdcall';
//   ( Title='',    ,  )
//
//IconFileName -  ,    (  comctl32.dll)
//IconIndex    -  
//
// IconFileName='',      (1-Information, 2-Warning, 3-Error)
//                      if (IconIndex>3) or (IconIndex<1) then IconIndex:=1
//                          HintDeleteIcon  HintCreate c IconIndex=0
// IconFileName<>'',       ,   ,     
// IconFileName      ICO, DLL, EXE, ICL

procedure HintSetWidth(hControl:THandle; Width:integer); external 'HintSetWidth@files:ISHint.dll stdcall';
//   ( ,    ,   )
//       ,   

procedure HintHide(hControl:THandle); external 'HintHide@files:ISHint.dll stdcall';
//  (      )

procedure HintSetInitTime(hControl:THandle; Time:integer); external 'HintSetInitTime@files:ISHint.dll stdcall';
//         .
//Time -  ()

procedure HintSetShowTime(hControl:THandle; Time:integer); external 'HintSetShowTime@files:ISHint.dll stdcall';
//   
//    ( -  ( 32767 ),
//        Time    5000 )
//Time -  ()

function HintExists(hControl:THandle):boolean; external 'HintExists@files:ISHint.dll stdcall';
//      
//  - True  -     
//                       - False -      

procedure HintDelete(hControl:THandle); external 'HintDelete@files:ISHint.dll stdcall';
// 
//      ,
//        HintCreate

procedure HintsDestroy; external 'HintsDestroy@files:ISHint.dll stdcall';
//  ,  


function GetClientRect(hWnd: HWND; var lpRect: TRect): BOOL; external 'GetClientRect@user32.dll stdcall';
function GetDesktopWindow: HWND; external 'GetDesktopWindow@user32.dll stdcall';

function NextButtonClick(CurPageID: Integer): Boolean;
begin
  i:=i+1;
  HintSetRaram(0,-1,-1,'Tahoma',13);
  HintSetTextParam(0,PChar('NextButton'+#10#13+'Click Count = '+IntToStr(i)),-1,False,True);
  HintShow(r.Right-20,r.Bottom-20,15);

  //      ,   button'  
  //  ,    ,       ,   
  // delphi    ,    
  //    (   ,      -  )
  if HintExists(WizardForm.NextButton.Handle) then begin
    HintDelete(WizardForm.NextButton.Handle);
    HintCreate(WizardForm.NextButton.Handle,1,PChar(WizardForm.NextButton.Name),' ',False,False)
  end;

  Result:=True;
end;

function BackButtonClick(CurPageID: Integer): Boolean;
var
  j:Longint;
  k:integer;
begin
  HintHide(0); //,     ,     
  HintSetRaram(0,-1,-1,'Arial',16);
  HintSetIcon(0,'',1);  //  
  HintSetWidth(0,250);
  HintSetTextParam(0,'   ,   :-)',-1,False,False);
  HintSetTitleParam(0,'  ?',-1,False,False);
  HintShow(r.Right-20,r.Bottom-20,0); //
  Sleep(500);
  j:=0;
  k:=0;
  //  
//  while j<=$FFFFFF do begin
  for k:= 1 to 32 do begin
    HintSetIcon(0,'shell32.dll',-k);  // DLL
    HintSetTextParam(0,'',$000000+j,False,False);
    HintSetRaram(0,$FFFFFF-j,$000000+j,'',0);
    j:=j+$01080F;
    sleep(100);
    HintRefresh(0); //   
  end;
  Sleep(500);
  HintHide(0); // ,  

  // 
  if HintExists(WizardForm.BackButton.Handle) then begin
    HintDelete(WizardForm.BackButton.Handle);
    HintCreate(WizardForm.BackButton.Handle,0,'','   ',True,False);
  end;

  Result:=True;
end;

procedure DirEditChange(Sender: TObject);
begin
  //  ,        DirEdit'a
  HintSetTextParam(WizardForm.DirEdit.Handle,WizardForm.DirEdit.Hint+#10#13+WizardForm.DirEdit.Text,clRed,False,True);
  HintRefresh(WizardForm.DirEdit.Handle);
end;

procedure InitializeWizard;
begin
  i:=0;
  GetClientRect(GetDesktopWindow,r); //  
  // ,   
  if HintCreate(0,0,' ','NextButton'+#10#13+'Click Count = '+IntToStr(i),True,True)>0 then begin
//    HintSetRaram(0,$FFAA55,clBlue,'',0);//$FFCC77 $FFAA55
//    HintSetTitleParam(0,'3  -   !',clRed,True,False);
//    HintSetTextParam(0,PChar('NextButton'+#10#13+'Click Count = '+IntToStr(i)),clYellow,False,True);
    HintSetRaram(0,-1,clBlue,'',0);
    HintSetTitleParam(0,'3  -   !',-1,True,False);
    HintSetWidth(0,200);
    HintSetIcon(0,'test2.ico',0);  // 
    HintShow(r.Right-20,r.Bottom-20,0);
  end;

  //  DirEdit'a ( )
  WizardForm.DirEdit.Hint:=' '
  WizardForm.DirEdit.ShowHint:=False;
  if HintCreate(WizardForm.DirEdit.Handle,3,WizardForm.DirEdit.Name,WizardForm.DirEdit.Hint+#10#13+WizardForm.DirEdit.Text,True,False)>0 then begin
    HintSetTextParam(WizardForm.DirEdit.Handle,WizardForm.DirEdit.Hint+#10#13+WizardForm.DirEdit.Text,clRed,False,True);
    WizardForm.DirEdit.OnChange:=@DirEditChange;
    HintSetWidth(WizardForm.DirEdit.Handle,100);
  end;

  //  NextButton'a
  HintCreate(WizardForm.NextButton.Handle,1,PChar(WizardForm.NextButton.Name),' ',False,False);
  HintSetIcon(WizardForm.NextButton.Handle,ParamStr(0),0);				     //  EXE
  HintSetInitTime(WizardForm.NextButton.Handle,100);                            // NEW
  HintSetShowTime(WizardForm.NextButton.Handle,32000);                      // NEW

  //  CancelButton'a
  HintCreate(WizardForm.CancelButton.Handle,2,'asdasdasd','sdfsdfsdfsdf',True,False);
  HintSetIcon(WizardForm.CancelButton.Handle,'..\test.icl',5);  // ICL

  //  BackButton'a
  //      #10#13
  HintCreate(WizardForm.BackButton.Handle,0,'','   '+#10#13+'--',True,False)
//  HintSetRaram(WizardForm.BackButton.Handle,-1,-1,'Tahoma',13);
end;

procedure DeInitializeSetup;
begin
  HintsDestroy;  //    
end;
