[Setup]
AppName=My Program
AppVerName=My Program v.1.2
DirExistsWarning=no
DefaultDirName={pf}\My Program

[Tasks]
Name: askini; Description:    ; GroupDescription:  :

[Code]
var
  Page: TInputFileWizardPage;

procedure InitializeWizard();
begin
Page := CreateInputFilePage(wpSelectTasks,
  ' ', '    ?',
  '    ,  ' #13 ' :');
Page.Add('  ...', 'Legend.exe|Legend.exe', 'Legend.exe');
end;

procedure CurStepChanged(CurStep: TSetupStep);
begin
  if (CurStep = ssPostInstall) and IsTaskSelected('askini') then
    begin
      ForceDirectories(ExpandConstant('{app}\'));
      FileCopy(Page.Values[0], ExpandConstant('{app}\')+ ExtractFileName(Page.Values[0]), False);
    end;
end;

function NextButtonClick(CurPage: Integer): Boolean;
begin
  Result:= True;
  if (CurPage = Page.ID) and not FileExists(Page.Values[0]) then
      Result:= False;
end;

function ShouldSkipPage(PageID: Integer): Boolean;
begin
 if (PageID = Page.ID) and Not IsTaskSelected('askini') then
   Result:= True;
end;
