[Setup]
AppName=My Program
AppVerName=My Program v.1.2
DefaultDirName={pf}\My Program
InternalCompressLevel=none

[Code]
const
WS_EX_LAYERED = $80000; WS_EX_TRANSPARENT = $20; LWA_ALPHA = 2; GWL_EXSTYLE = (-20);

function SetLayeredWindowAttributes(hwnd: HWnd; crKey: TColor; bAlpha: Byte; dwFlags: DWord): Boolean; external 'SetLayeredWindowAttributes@user32.dll stdcall';
function SetWindowLong(Wnd: HWnd; Index: Integer; NewLong: Longint): Longint; external 'SetWindowLongA@user32.dll stdcall';
function GetWindowLong(Wnd: HWnd; Index: Integer): Longint; external 'GetWindowLongA@user32.dll stdcall';

Procedure WizardFormOnActivate(Sender: TObject); Begin SetLayeredWindowAttributes(WizardForm.Handle, 0, 255 , LWA_ALPHA) End;

Procedure MainFormOnActivate(Sender: TObject); Begin
//	SetWindowLong(WizardForm.Handle, GWL_EXSTYLE, GetWindowLong(WizardForm.Handle, GWL_EXSTYLE) or WS_EX_LAYERED);
	SetLayeredWindowAttributes(WizardForm.Handle, 0, 127, LWA_ALPHA)
End;

Procedure InitializeWizard();
begin
	SetWindowLong(WizardForm.Handle, GWL_EXSTYLE, GetWindowLong(WizardForm.Handle, GWL_EXSTYLE) or WS_EX_LAYERED);
	WizardForm.OnActivate:= @WizardFormOnActivate
	MainForm.OnActivate:= @MainFormOnActivate

end;
