[Setup]
AppName=My Program
AppVerName=My Program v.1.2
DefaultDirName={pf}\My Program

[Code]
const
  GWL_STYLE = -16;
  WS_MINIMIZEBOX = $20000;
  WS_SYSMENU = $80000;

function GetWindowLong(Wnd: HWnd; Index: Integer): Longint; external 'GetWindowLongA@user32.dll stdcall';
function SetWindowLong(Wnd: HWnd; Index: Integer; NewLong: Longint): Longint; external 'SetWindowLongA@user32.dll stdcall';
function FindWindowEx(hWndM, hWndC: LongWord; lpszClass, lpszWindow: PChar): LongWord; external 'FindWindowExA@user32.dll stdcall';

Procedure InitializeWizard();
var
  TAppHandle: HWND;
begin
	TAppHandle:= FindWindowEx( 0, 0, 'TApplication', 'Setup' );
	SetWindowLong(TAppHandle, GWL_STYLE, GetWindowLong(TAppHandle, GWL_STYLE) and not WS_SYSMENU and not WS_MINIMIZEBOX);
end;
