[Setup]
AppName=Fahrenheit
AppVerName=Fahrenheit v1.1
DefaultDirName={sd}\Games\Fahrenheit
DefaultGroupName=Fahrenheit
OutputDir=D:\FAH
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=no
AppCopyright=Quantic Dream
VersionInfoCompany=Atari
VersionInfoDescription= Fahrenheit
VersionInfoVersion=1.1.0.0
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Messages]
BeveledLabel=- Packaged by Kindly

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Components]
Name: "eng"; Description: "  ";  Flags: exclusive
Name: "rus"; Description: "  ";  Flags: exclusive

[Types]
Name: "custom"; Description: " "; Flags: iscustom

[Files]
Source: "D:\Fahrenheit\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
Components: rus; Source: "D:\Rus\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Fahrenheit"; Filename: "{app}\Fahrenheit.exe"; WorkingDir: "{app}"
Name: "{group}\ Fahrenheit"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Fahrenheit"; Filename: "{app}\Fahrenheit.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
Root: HKLM; Subkey: "Software\Fahrenheit"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Fahrenheit"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Run]
Filename: "{app}\idmtool.exe"; Parameters: "/p BigFile_PC.d01 01\"; WorkingDir: "{app}"; StatusMsg: " BigFile_PC.d01..."; Flags: waituntilterminated skipifdoesntexist
Filename: "{app}\idmtool.exe"; Parameters: "/p BigFile_PC.d02 02\"; WorkingDir: "{app}"; StatusMsg: " BigFile_PC.d02..."; Flags: waituntilterminated skipifdoesntexist
Filename: "{app}\idmtool.exe"; Parameters: "/p BigFile_PC.d03 03\"; WorkingDir: "{app}"; StatusMsg: " BigFile_PC.d03..."; Flags: waituntilterminated skipifdoesntexist
Filename: "{app}\idmtool.exe"; Parameters: "/p BigFile_PC.dat dat\"; WorkingDir: "{app}"; StatusMsg: " BigFile_PC.dat..."; Flags: waituntilterminated skipifdoesntexist
Filename: "{app}\deltemp.bat"; StatusMsg: "  ..."; Flags: waituntilterminated skipifdoesntexist

